<template>
  <div class="refinery">
    <el-table :data="tableData" border style="width: 100%">
      <el-table-column label="序号" width="45px" type="index"></el-table-column>
      <el-table-column
              v-for="(item,index) in tableHeader"
              :key="index"
              :prop="item.propS"
              :label="item.name"
              :width="item.width"></el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  name: 'refinery',
  data () {
    return {
      tableData: []
    }
  },
  props: {
    tableHeader: {
      type: Array,
      default: () => {
        return []
      },
      tableContent: {
        type: Array,
        default: () => {
          return []
        }
      }
    }
  },
  watch: {
    param: {
      tableContent (newValue, oldValue) {
        this.tableData = newValue
        console.log(newValue)
      },
      deep: true
    }

  }
}
</script>

<style scoped lang="less">

</style>
